#!/usr/bin/tclsh

foreach path $auto_path {
	set tclIndexFile [file join $path tclIndex]
	set type "none"
	if {[file exists $tclIndexFile]} {
		set type [file type $tclIndexFile]
	}
	puts [format "%10s %s" $type $tclIndexFile]

	if {[file exists $tclIndexFile]} {
		if {[catch {
			set f [open $tclIndexFile]
			gets $f
			close $f
		} msg]} {
			puts [format "           failed to open %s: %s" $tclIndexFile $msg]
		}
	}
}
